NL(1)

NAZWA
nl - numeruje wiersze plików

SKŁADNIA
nl [OPCJA]... [PLIK]...

OPIS

Wypisuje każdy z PLIKÓW na standardowe wyjście, wraz z dodanymi numerami wierszy.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --body-numbering=STYL
    używa STYLU do numerowania wierszy treści

-d, --section-delimiter=ZZ
    use CC for logical page delimiters

-f, --footer-numbering=STYL
    używa STYLU do numerowania wierszy stopek

-h, --header-numbering=STYL
    używa STYLU do numerowania wierszy nagłówków

-i, --line-increment=LICZBA
    zwiększa numer każdego wiersza o podaną wartość

-l, --join-blank-lines=LICZBA
    grupuje LICZBĘ pustych wierszy licząc je jako jeden

-n, --number-format=FORMAT
    wybiera FORMAT numerowania wierszy

-p, --no-renumber
    do not reset line numbers for each section

-s, --number-separator=ŁAŃCUCH
    dodaje ŁAŃCUCH po (ewentualnym) numerze wiersza

-v, --starting-line-number=NUMER
    first line number for each section

-w, --number-width=LICZBA
    używa LICZBY kolumn na numerację wierszy

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Default options are: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC are two delimiter characters used to construct logical page delimiters; a missing second character implies ':'. As a GNU extension one can specify more than two characters, and also specifying the empty string (-d ”) disables section matching.

STYLE is one of:

a   numerowanie wszystkich wierszy

t   numerowanie jedynie niepustych wierszy

n   brak numerowania wierszy

pBRE
    numeruje jedynie wiersze pasujące do podstawowego wyrażenia regularnego ("BRE")

FORMAT jest jednym z:

ln  wyrównanie do lewej, bez początkowych zer

rn  wyrównanie do prawej, bez początkowych zer

rz  wyrównanie do prawej, z zerami na początku

AUTOR
Napisane przez Scotta Bartrama i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2022 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/nl>
lub lokalnie, za pomocą info '(coreutils) nl invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.